/*
 * morse.h
 *
 * Created: 18/05/2021 15:47:24
 *  Author: yboujon1
 */ 

#include "main.h"
#include "timerinterrupt.h"
#include "lcd.h"

#define POINT 1
#define TRAIT 3
#define INTERLETTRE 30
#define INTERMOT 70
#define FIN 0

#define LETTRES 36												//nombre de lettre dans la librairie

void envoyer_signe_morse(unsigned char signe_morse);			//envoie le morse sur la sortie OC1A
void maj2min_convert(char *tab, int n);							//elle traduit des majuscules en minuscules
void printandtranslate(char *tab, int n);						//lit la traduction code morse avec le lcd
void latin2morse(char *tab,int* i,int* j);						//elle cherche les correspondances par rapport a la librairie ou non
void morselibrary_output(int* id);								//elle traduit en morse par rapport a la librairie
void library_checker(char *tab,int** i,int** j);				//traduit dans la librairie et ajoute un intermot si possible
void simple_terms(char *tab,int** i,int** j);					//traduit les espaces et les fins de message
void firstlinetext(char* tab,int i,int* multiple,int taille);	//affiche la premire ligne sur le LCD
void secondlinetext(char *tab,int* i,int multiple);				//affiche la seconde ligne sur le LCD

unsigned char morse_library[LETTRES][7];