/*
 * timerinterrupt.h
 *
 * Created: 17/05/2021 12:57:52
 *  Author: yboujon1
 */ 

#include "main.h"

#define ONEMS 1440								//valeur de OCR1A pour 100ms
void start_timer0(void);						//dmarre et intialise le timer0
void stop_timer0(void);							//arrte le timer0
void start_timer1(unsigned short int ocr1a);	//dmarre et initialise le timer1 en fonction d'une temporisation
void stop_timer1(void);							//arrte le timer1 (reset OCR1A)
void resume_timer1(void);						//reprend le timer1
void wait_ocf1a_timer1(void);					//attente pour timer1 (fonctionne comme un delay)
void init_interruption(void);					//initialisation des interruptions
ISR (INT0_vect);								//action avec l'interruption 0 (arrt)
ISR (INT1_vect);								//action avec l'interruption 1 (vitesse)
ISR (INT2_vect);								//action avec l'interruption 2 (frequence)
volatile unsigned char etat;					//arrte la traduction
volatile unsigned char speed;					//fait varier le temps
volatile unsigned char frequency;				//fait varier la frquence du signal
unsigned char status;							//permet d'utiliser la valeur de TIFR